
From: Ashok Raj <ashok.raj@intel.com>

This patch changes __init to __devinit to init_idle so that when a new cpu
arrives, it can call these functions at a later time.


---

 25-akpm/init/main.c    |    2 +-
 25-akpm/kernel/sched.c |    2 +-
 2 files changed, 2 insertions(+), 2 deletions(-)

diff -puN init/main.c~ia64-cpuhotplug-core_kernel_init init/main.c
--- 25/init/main.c~ia64-cpuhotplug-core_kernel_init	2004-05-12 21:02:16.977964864 -0700
+++ 25-akpm/init/main.c	2004-05-12 21:02:16.982964104 -0700
@@ -179,7 +179,7 @@ EXPORT_SYMBOL(loops_per_jiffy);
    better than 1% */
 #define LPS_PREC 8
 
-void __init calibrate_delay(void)
+void __devinit calibrate_delay(void)
 {
 	unsigned long ticks, loopbit;
 	int lps_precision = LPS_PREC;
diff -puN kernel/sched.c~ia64-cpuhotplug-core_kernel_init kernel/sched.c
--- 25/kernel/sched.c~ia64-cpuhotplug-core_kernel_init	2004-05-12 21:02:16.979964560 -0700
+++ 25-akpm/kernel/sched.c	2004-05-12 21:02:16.985963648 -0700
@@ -3395,7 +3395,7 @@ void show_state(void)
 	read_unlock(&tasklist_lock);
 }
 
-void __init init_idle(task_t *idle, int cpu)
+void __devinit init_idle(task_t *idle, int cpu)
 {
 	runqueue_t *idle_rq = cpu_rq(cpu), *rq = cpu_rq(task_cpu(idle));
 	unsigned long flags;

_
